#ifndef __VIEW_SEARCH_INC__
#define __VIEW_SEARCH_INC__

// --- cMenuSearch -------------------------------------------------------
class cMenuSearch : public cOsdMenu {
private:
  char *szFilter;
  char *newFilter;
protected:
  void Update(void);
public:
  cMenuSearch(const char *Title, char *Text, eDvbFont Font = fontOsd);
  ~cMenuSearch(void);
  virtual eOSState ProcessKey(eKeys Key);
  };

#endif
